Unset a follower
DELETE
/
v1
/
requests
/
{uid}
/
followers
/
{follower_uid}
Unset a follower
curl --request DELETE \
--url https://api.siit.io/v1/requests/{uid}/followers/{follower_uid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siit.io/v1/requests/{uid}/followers/{follower_uid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.siit.io/v1/requests/{uid}/followers/{follower_uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"uid": "<string>",
"admin_permalink_url": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"assignee_admin": "<string>",
"assignee_admin_uid": "<string>",
"assignee_inbox": "<string>",
"assignee_inbox_uid": "<string>",
"associated_apps": [
"<string>"
],
"associated_equipments": [
"<string>"
],
"approvals": [
"<string>"
],
"attachments": [
{
"filename": "<string>",
"url": "<string>"
}
],
"author": "<string>",
"author_uid": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"completed_by": "<string>",
"completed_by_uid": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"custom_form_inputs": [
{
"label": "<string>",
"value": "<string>"
}
],
"description": "<string>",
"description_markdown": "<string>",
"follower_uids": [
"<string>"
],
"followers": [
"<string>"
],
"friendly_id": "<string>",
"requested_by": "<string>",
"requested_by_uid": "<string>",
"slack_channel_id": "<string>",
"slack_direct_link": "<string>",
"slack_thread_ts": "<string>",
"slack_ts": "<string>",
"sla_data": {
"first_replied_at": "2023-11-07T05:31:56Z",
"first_completed_at": "2023-11-07T05:31:56Z",
"paused_at": "2023-11-07T05:31:56Z",
"first_reply_due_at": "2023-11-07T05:31:56Z",
"first_completion_due_at": "2023-11-07T05:31:56Z"
},
"status": "open",
"tag_uids": [
"<string>"
],
"tags": [
"<string>"
],
"target": "<string>",
"target_uid": "<string>",
"title": "<string>",
"title_markdown": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"troubleshoot": "<string>"
}Usage
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UID (or friendly_id) of the request
The UID of follower
Response
Removes the follower
Show child attributes
Show child attributes
⌘I
Unset a follower

